<div class="container-body">
	<div class="row col-lg-12">
		<% if current_user.id == @user.id %>
		    <div class="row">
		        <div class=" col-sm-3 col-sm-offset-8 col-lg-2 col-lg-offset-9">
		         	<%= link_to '+ ADD ALBUMS', new_album_path, class: "btn btn-lg  btn-success" %> 
		        </div>
		    </div>
		<%end%>
	</div>
	<div class="row col-lg-12">
		<% if album != nil %> 
			<% album.each do |alb| %>
				<div class="col-lg-3 col-sm-6">
		            <% if current_user.id == @user.id && alb.private == true %>
		                <div class="lock-album col-sm-offset-6 col-lg-offset-8">
		                  	<i class="fa fa-lock" style="font-size: 30px;" id = "lock-icon-album"></i>
		                </div>
		            <%end%>
		            <div class="edit-photo btn " id= "edit-album">
		                <%= link_to "EDIT", edit_album_path(id: alb.id)%>
		            </div>
					<a data-toggle="modal" href="#<%=alb.id%>">
						<div class="album">
							<% alb.images.each do |img| %>
								<%= image_tag(img, class: " item small")%>
						 	<%end%>
						 	<div class="capity-photos-2 ">
								<p class=" col-lg-12 text-capity text"> <%= alb.images.size%> <br> PHOTOS</p>
							</div>
						</div>
						<div class="title-photo col-sm-12 col-lg-12">
							<% if alb.title.size > 20 %>
			                	<%= alb.title[0..20] + "... " %> 
			                <%else%>
			                 	<%= alb.title %> 
			                <%end%>
						</div>
					</a>
					<!-- Create The modal -->
					<div class="modal fade" id= "<%=alb.id%>" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
					    <div class="modal-dialog modal-sm" role="document">
					      	<div class="modal-content">
					        	<div class="modal-header">
					          		<h4 class="modal-title" id="modalLabel"><%= alb.title %></h4>
					          		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					           		 	<span aria-hidden="true">&times;</span>
					         	 	</button>
					        	</div>
						        <div class="modal-body">
										<!-- Wrapper for slides -->
								 	<div id="slide<%=alb.id%>" class="carousel slide" data-ride="carousel">
								 		 <div class="carousel-inner">
								 		 		<% alb.images.each do |img| %>
									 		 		<% if img == alb.images.last %>
									 		 			<div class="item active ">
									 		 		<%else%>
									 		 			<div class="item">
									 		 		<%end%> 		 		
									 		 			<%= image_tag(img, class: "photo rounded mx-auto d-block")%>
									 		 		</div>
										 		<%end%>	
								 		 </div>		   
									</div>
								 	<!-- Left and right controls -->
								    <a class="left carousel-control" href="#slide<%=alb.id%>" data-slide="prev">
								      	<span class="glyphicon glyphicon-chevron-left"></span>
								      	<span class="sr-only">Previous</span>
								    </a>
								    <a class="right carousel-control" href="#slide<%=alb.id%>" data-slide="next">
								      	<span class="glyphicon glyphicon-chevron-right"></span>
								      	<span class="sr-only">Next</span>
								    </a>
						        </div>
						        <div class="modal-footer">
						        	<%= alb.description %> 
						        </div>
					      	</div>
					    </div>
					</div>
					<!-- End The modal -->
				</div>
			<%end%>
		<%end%>
	</div>
	<div class="row col-lg-12 col-sm-12">
		<%= paginate album%>
	</div>
</div>
